Ubuntu

1002:714a Can't boot without nomodeset option-kernel 3.5.X.X/3.6.X.X ATI M52 [Mobility Radeon X1300]

Reported by tolostoi on 2012-07-27
74
This bug affects 13 people
Affects Status Importance Assigned to Milestone
linux (Fedora)
Unknown
Unknown
linux (Ubuntu)
Low
Unassigned

Bug Description

I'm using Ubuntu quantal (development branch), since the new 3.5 kernel coming, I can't boot I don't know where is the problem, kernel or ati module, but with 3.4 kernel there is no problem booting the Ubuntu.
When choose the 3.5 kernel from grub menu and start loading, after 10-15 seconds, just freeze, and can't do anything. I tried and mainline kernel from kernel-ppa/mainline but no change, still can't boot.

A Ubuntu kernel version bisect revealed that 3.4.0-5.11 works and the first problematic kernel is 3.5.0-1.1 .

WORKAROUND: 1. edit grub command line to add 'nomodeset' and boot.

2. Then add 'nomodeset' in GRUB2's kernel command line (using GRUB_CMDLINE_LINUX in /etc/default/grub) and run 'sudo update-grub'

3. Add the following to /etc/rc.d/rc.local:
modprobe -r radeon
modprobe -r drm
modprobe radeon modeset=1

4. Remove ~/.Xauthority

5. Reboot

WORKAROUND: Use kernel parameter:
nomodeset

However, with nomodeset, 3D don't work correctly, cant use normal unity session, unity 2D session works but with artifacts.

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: linux-image-generic 3.5.0.6.6
ProcVersionSignature: Ubuntu 3.4.0-5.11-generic 3.4.0
Uname: Linux 3.4.0-5-generic x86_64
ApportVersion: 2.4-0ubuntu5
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: tolostoi 1789 F.... pulseaudio
Date: Fri Jul 27 09:38:39 2012
HibernationDevice: RESUME=UUID=8f2b4b51-ca26-4a68-8969-ea8e5c00f4b6
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta amd64 (20120408)
MachineType: Hewlett-Packard HP Compaq nc6400 (RH484EA#ABB)
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcFB: 0 radeondrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.4.0-5-generic root=UUID=c2283854-278c-4d59-93dd-d05801489a93 ro quiet splash
RelatedPackageVersions:
 linux-restricted-modules-3.4.0-5-generic N/A
 linux-backports-modules-3.4.0-5-generic N/A
 linux-firmware 1.86
SourcePackage: linux
UpgradeStatus: Upgraded to quantal on 2012-06-11 (45 days ago)
dmi.bios.date: 09/05/2007
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: 68YCD Ver. F.0B
dmi.board.name: 30AC
dmi.board.vendor: Hewlett-Packard
dmi.board.version: KBC Version 56.36
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnHewlett-Packard:bvr68YCDVer.F.0B:bd09/05/2007:svnHewlett-Packard:pnHPCompaqnc6400(RH484EA#ABB):pvrF.0B:rvnHewlett-Packard:rn30AC:rvrKBCVersion56.36:cvnHewlett-Packard:ct10:cvr:
dmi.product.name: HP Compaq nc6400 (RH484EA#ABB)
dmi.product.version: F.0B
dmi.sys.vendor: Hewlett-Packard
---
ApportVersion: 2.9.2-0ubuntu8
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 3199 F.... pulseaudio
CasperVersion: 1.331
DistroRelease: Ubuntu 13.04
LiveMediaBuild: Ubuntu 13.04 "Raring Ringtail" - Release i386 (20130424)
MachineType: Hewlett-Packard HP Compaq nc6400 (RH484EA#ABB)
MarkForUpload: True
Package: linux (not installed)
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB:

ProcKernelCmdLine: initrd=/casper/initrd.lz file=/cdrom/preseed/username.seed boot=casper nomodeset quiet splash -- BOOT_IMAGE=/casper/vmlinuz
ProcVersionSignature: Ubuntu 3.8.0-19.29-generic 3.8.8
RelatedPackageVersions:
 linux-restricted-modules-3.8.0-19-generic N/A
 linux-backports-modules-3.8.0-19-generic N/A
 linux-firmware 1.106
Tags: raring
Uname: Linux 3.8.0-19-generic i686
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 09/05/2007
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: 68YCD Ver. F.0B
dmi.board.name: 30AC
dmi.board.vendor: Hewlett-Packard
dmi.board.version: KBC Version 56.36
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnHewlett-Packard:bvr68YCDVer.F.0B:bd09/05/2007:svnHewlett-Packard:pnHPCompaqnc6400(RH484EA#ABB):pvrF.0B:rvnHewlett-Packard:rn30AC:rvrKBCVersion56.36:cvnHewlett-Packard:ct10:cvr:
dmi.product.name: HP Compaq nc6400 (RH484EA#ABB)
dmi.product.version: F.0B
dmi.sys.vendor: Hewlett-Packard

tolostoi (tolostoi) wrote :
Brad Figg (brad-figg) on 2012-07-27
Changed in linux (Ubuntu):
status: New → Confirmed
description: updated
tags: added: needs-upstream-testing

tolostoi, thank you for reporting this and helping make Ubuntu better. Could you please provide the information following https://wiki.ubuntu.com/DebuggingKernelBoot ? As well, if you could also please test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please do not test the kernel in the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. As well, please comment on which kernel version specifically you tested.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream', and comment as to why specifically you were unable to test it.

Please let us know your results. Thanks in advance.

Changed in linux (Ubuntu):
importance: Undecided → Low
status: Confirmed → Incomplete
tags: added: regression-release
tags: added: needs-bisect
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
tolostoi (tolostoi) wrote :

penalvch, thanks for the answer, the problem still exist.
Now I will atach a screenshot, when trying to boot with kernel "linux-image-3.5.0-16-generic 3.5.0-16.25 amd64" options are "set gfx payload = text" After the taken screen, just freeze, no activity. CTRL+ALT+DEL don't work, only hard reset working.

tolostoi (tolostoi) wrote :

With mainline kernel (any of it) last test with
linux-image-extra-3.6.0-030600rc7-generic 3.6.0-030600rc7.201209232235 amd64
the system freeze on a same moment, like on previous screenshot "Image(057).jpg"

tags: added: kernel-bug-exists-upstream
removed: needs-upstream-testing
summary: - Can't boot without nomodeset option-kernel 3.5.X.X ATI M52 [Mobility
- Radeon X1300]
+ Can't boot without nomodeset option-kernel 3.5.X.X/3.6.X.X ATI M52
+ [Mobility Radeon X1300]

I can work only with old kernels, I have
3.4.0-5-generic #11-Ubuntu SMP Tue Jun 5 17:33:27 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
and boot normal.

Changed in linux (Ubuntu):
status: Expired → Confirmed

tolostoi, could you please test the latest upstream kernel available (v3.6.2-quantal) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the kernel in the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested and remove the tag:
needs-upstream-testing

This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the text:
needs-upstream-testing

If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested.

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested.

If you are unable to test the mainline kernel, please comment as to why specifically you were unable to test it and add the following tags:
kernel-unable-to-test-upstream
kernel-unable-to-test-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested.

Please let us know your results. Thank you for your understanding.

tags: added: kernel-bug-exists-upstream-v3.6-rc7-quantal needs-upstream-testing
removed: kernel-bug-exists-upstream
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tolostoi (tolostoi) wrote :

I just tested with kernel in folder "v3.6.2-quantal" exact image is "linux-image-3.6.2-030602-generic 3.6.2-030602.201210121823" and can't boot with this kernel too.

tags: removed: needs-upstream-testing
tags: added: kernel-bug-exists-upstream-3.6.2-030602.201210121823

tolostoi, thank you for testing the newest mainline kernel. The next step is to perform a kernel bisect from 3.4.0-5-generic to 3.5.0-16-generic, in order to identify the offending commit(s). Could you please do this following https://wiki.ubuntu.com/Kernel/KernelBisection ?

Thank you for your understanding.

Helpful Bug Reporting Tips:
https://help.ubuntu.com/community/ReportingBugs

tags: added: kernel-bug-exists-upstream-v3.6.2-quantal
removed: kernel-bug-exists-upstream-3.6.2-030602.201210121823
tolostoi (tolostoi) wrote :
Download full text (3.8 KiB)

Now I'm trying to bisect the kernel, but don't understand the whole process well. From the link i read, most important part is to determine which kernel is bad, and which is good. I already know this.

> git clone git://kernel.ubuntu.com/ubuntu/ubuntu-quantal.git
> Cloning into 'ubuntu-quantal'...
> remote: Counting objects: 2620638, done.
> remote: Compressing objects: 100% (403782/403782), done.
> remote: Total 2620638 (delta 2202097), reused 2609565 (delta 2191244)
> Receiving objects: 100% (2620638/2620638), 628.71 MiB | 347 KiB/s, done.
> Resolving deltas: 100% (2202097/2202097), done.
> Checking out files: 100% (39287/39287), done.
> tolostoi@HP-Compaq-nc6400-RH484EA-ABB-tstoi:~/kernel-git$ ls
> ubuntu-quantal
> tolostoi@HP-Compaq-nc6400-RH484EA-ABB-tstoi:~/kernel-git$ cd ubuntu-quantal/
> tolostoi@HP-Compaq-nc6400-RH484EA-ABB-tstoi:~/kernel-git/ubuntu-quantal$ ls
> arch COPYING crypto debian.master drivers firmware include ipc Kconfig lib Makefile net REPORTING-BUGS scripts sound ubuntu virt
> block CREDITS debian Documentation dropped.txt fs init Kbuild kernel MAINTAINERS mm README samples security tools usr
> tolostoi@HP-Compaq-nc6400-RH484EA-ABB-tstoi:~/kernel-git/ubuntu-quantal$ git checkout -b mybisect origin/master
> Branch mybisect set up to track remote branch master from origin.
> Switched to a new branch 'mybisect'
> tolostoi@HP-Compaq-nc6400-RH484EA-ABB-tstoi:~/kernel-git/ubuntu-quantal$ git log --oneline Ubuntu-3.4.0-5.11..Ubuntu-3.5.0-2.2 | wc
> 11059 88107 680022
>
> git bisect start Ubuntu-3.5.0-2.2 Ubuntu-3.4.0-5.11
> Bisecting: a merge base must be tested
> [76e10d158efb6d4516018846f60c2ab5501900bc] Linux 3.4

Now there is no folder named debian, and no rules, control etc.

ls -la
total 528
drwxr-xr-x 24 tolostoi tolostoi 4096 окт 16 12:39 .
drwxrwxr-x 3 tolostoi tolostoi 4096 окт 16 11:05 ..
drwxrwxr-x 29 tolostoi tolostoi 4096 окт 16 12:39 arch
drwxrwxr-x 3 tolostoi tolostoi 4096 окт 16 12:39 block
-rw-rw-r-- 1 tolostoi tolostoi 18693 окт 16 12:31 COPYING
-rw-rw-r-- 1 tolostoi tolostoi 94984 окт 16 12:39 CREDITS
drwxrwxr-x 3 tolostoi tolostoi 4096 окт 16 12:39 crypto
drwxrwxr-x 96 tolostoi tolostoi 12288 окт 16 12:39 Documentation
drwxrwxr-x 101 tolostoi tolostoi 4096 окт 16 12:39 drivers
drwxrwxr-x 37 tolostoi tolostoi 4096 окт 16 12:40 firmware
drwxrwxr-x 71 tolostoi tolostoi 4096 окт 16 12:40 fs
drwxrwxr-x 8 tolostoi tolostoi 4096 окт 16 12:40 .git
-rw-rw-r-- 1 tolostoi tolostoi 1014 окт 16 12:39 .gitignore
drwxrwxr-x 22 tolostoi tolostoi 4096 окт 16 12:40 include
drwxrwxr-x 2 tolostoi tolostoi 4096 окт 16 12:40 init
drwxrwxr-x 2 tolostoi tolostoi 4096 окт 16 12:40 ipc
-rw-rw-r-- 1 tolostoi tolostoi 2536 окт 16 12:31 Kbuild
-rw-rw-r-- 1 tolostoi tolostoi 252 окт 16 12:31 Kconfig
drwxrwxr-x 10 tolostoi tolostoi 4096 окт 16 12:40 kernel
drwxrwxr-x 9 tolostoi tolostoi 4096 окт 16 12:40 lib
-rw-rw-r-- 1 tolostoi tolostoi 4320 окт 16 12:39 .mailmap
-rw-rw-r-- 1 tolostoi tolostoi 210306 окт 16 12:39 MAINTAINERS
-rw-rw-r-- 1 tolostoi tolostoi 53551 окт 16 12:39 Make...

Read more...

tolostoi (tolostoi) wrote :

I repeat, any 3.5 kernel refuse to boot, with 3.4 kernel booting well.

tolostoi, as per the article section https://wiki.ubuntu.com/Kernel/KernelBisection#Before_Starting_to_Commit_Bisect_Your_Kernel_Regression :
"One would want to test each one until you have the problematic kernel immediately following the kernel that works."
In your case, 3.4.0-5-generic works, but 3.5.0-16-generic does not. However, these two kernels do not immediately follow one another in version number. As per https://launchpad.net/ubuntu/quantal/+source/linux we have the following kernels between the two:
3.4.0-5.11
3.5.0-1.1
3.5.0-1.1
3.5.0-2.2
3.5.0-2.2
3.5.0-3.3
3.5.0-3.3
3.5.0-4.4
3.5.0-4.4
3.5.0-5.5
3.5.0-5.5
3.5.0-6.6
3.5.0-6.6
3.5.0-7.7
3.5.0-7.7
3.5.0-8.8
3.5.0-8.8
3.5.0-9.9
3.5.0-9.9
3.5.0-10.10
3.5.0-10.10
3.5.0-11.11
3.5.0-11.11
3.5.0-12.12
3.5.0-12.12
3.5.0-13.13
3.5.0-13.13
3.5.0-13.14
3.5.0-14.15
3.5.0-14.15
3.5.0-14.16
3.5.0-14.16
3.5.0-14.17
3.5.0-14.18
3.5.0-14.19
3.5.0-15.20
3.5.0-15.20
3.5.0-15.21
3.5.0-15.22
3.5.0-15.23
3.5.0-16.24
3.5.0-16.24
3.5.0-16.25

For example, if you found that the first problematic kernel was 3.5.0-1.1, then the 3.4.0-5 is the last kernel that works, as 3.5.0-1.1 comes immediately after 3.4.0-5, then you could continue following the article.

tolostoi (tolostoi) wrote :

How can I continue? There is no debian.master and debian folder in working git folder, just 3.4 kernel source (i saw in the makefile) . How can proceed and build ubuntu kernel? I think the classic way to build kernel with make didn't help in this case.

Regards
S. Filipov

tolostoi, what is the last kernel that works and subsequent first problematic kernel from https://launchpad.net/ubuntu/quantal/+source/linux ?

tolostoi (tolostoi) wrote :

3.4.0-5.11 works, I still use it. First problematic kernel is 3.5.0-1.1

tolostoi, regarding your comments https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1029790/comments/13 :
>"How can I continue? There is no debian.master and debian folder in working git folder, just 3.4 kernel source (i saw in the makefile) . How can proceed and build ubuntu kernel?"

If you need more granular support with git bisecting, please feel free to contact the Ubuntu Kernel Team via IRC or mailing list https://wiki.ubuntu.com/KernelTeam#Communications .

Reinhard (enterldestodes) wrote :

Hi, I have a HP 6910p with a Mobility Radeon X2300 and I seem to have the exact same problem. For me it is no issue to use the "old" kernel meanwhile. However, can I somehow help or try something out in order to solve this issue? lgR

Reinhard, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Bug Control and Ubuntu Bug Squad article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs

When opening up the new report, please feel free to subscribe me to it. Thank you for your understanding.

Paul, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Bug Control and Ubuntu Bug Squad article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report may delay your problem being addressed as quickly as possible.

Thank you for your understanding.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Paul (i41bktob-launchpad-net) wrote :

Thanks for pointing out this policy. I did however want to share my workaround with people who might find this bug. And surely you'll agree that having one's bug report marked as a duplicate feels like it is being thrown away, it's not a good feeling for the reporter; and in this case it is clear that we're dealing with a duplicate.

By the way, I performed the bisection, using quantal kernels from http://kernel.ubuntu.com/~kernel-ppa/mainline/

3.4.17 (2012-10-31) works, as reported earlier, while 3.5.0-rc1 (2012-06-03) crashes (screen and keyboard frozen, no log files left). Further bisection would require delving into the git history. Newer kernels are also affected, right up to the latest 3.7.0-rc4 (2012-11-04). So the signs point to a problem upstream.

Red Hat users have hit the same issue, and have got further than we in debugging. Timothy Davis narrowed the problem down to changes made in radeon_kms.c between 3.4 and 3.5. Again, we need to send this upstream.
 https://bugzilla.redhat.com/show_bug.cgi?id=845745

Paul, thank you for your comments. Regarding them https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1029790/comments/21 :
>"Thanks for pointing out this policy. I did however want to share my workaround with people who might find this bug. And surely you'll agree that having one's bug report marked as a duplicate feels like it is being thrown away, it's not a good feeling for the reporter;"

I do not agree. How one feels about a Ubuntu developer/triager marking their bug a duplicate is not a reason to not file a new report. The purpose of filing a new report is not to make you feel bad if it's marked a duplicate of another, but so a Ubuntu developer/triager may analyze the debugging attachments and make the determination if it is in fact a duplicate or not. By not filing a new report, you are preventing Ubuntu developers/triagers from analyzing your hardware.

>"and in this case it is clear that we're dealing with a duplicate."

It is not clear in this case we are dealing with a duplicate. Please see above and https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1029790/comments/20 .

>"By the way, I performed the bisection, using quantal kernels from http://kernel.ubuntu.com/~kernel-ppa/mainline/
3.4.17 (2012-10-31) works, as reported earlier, while 3.5.0-rc1 (2012-06-03) crashes (screen and keyboard frozen, no log files left). Further bisection would require delving into the git history. Newer kernels are also affected, right up to the latest 3.7.0-rc4 (2012-11-04). So the signs point to a problem upstream.
Red Hat users have hit the same issue, and have got further than we in debugging. Timothy Davis narrowed the problem down to changes made in radeon_kms.c between 3.4 and 3.5. Again, we need to send this upstream.
 https://bugzilla.redhat.com/show_bug.cgi?id=845745"

While it is appreciated you took the time to investigate this on your hardware, it would be demonstrably more helpful if you filed a new report, as already requested of you in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1029790/comments/20 .

Thank you for your understanding.

description: updated
tags: removed: kernel-bug-exists-upstream-v3.6.2-quantal
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
ErMejo (andrea-lombardoni) wrote :

I tested the 3.8.0-030800rc4 (amd64) on my Compaq 6910p ( ATI Mobility Radeon X2300) and the problem is still there.

ErMejo, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report may delay your problem being addressed as quickly as possible.

Thank you for your understanding.

Paul (i41bktob-launchpad-net) wrote :

3.8-rc4 still freezes on HP nc6400 hardware.

Id2ndR (id2ndr) wrote :

3.8 from raring used on quantal boot but use VESA mode (1152x768) on HP nc6400.

Id2ndR (id2ndr) wrote :

I also try current raring daily (2013-02-24) and it doesn't show splash screen or desktop until I use nomodeset: it only shown blinking cursor.

This works for me on HP Compaq nc6400 (radeon mobility x1300) with a vanilla ubuntu 12.10 install:

1. edit grub command line to add 'nomodeset' and boot.

2. Then add 'nomodeset' in GRUB2's kernel command line (using GRUB_CMDLINE_LINUX in /etc/default/grub) and run 'sudo update-grub'

3. Add the following to /etc/rc.d/rc.local:
modprobe -r radeon
modprobe -r drm
modprobe radeon modeset=1

4. Remove ~/.Xauthority

5. Reboot

And the problem is solved.

tolostoi (tolostoi) wrote :

Yes, yes! Thanks arun-ta. It's working for me too, with non vanila kernel.

Id2ndR (id2ndr) wrote :

It's not working for me with non vanila kernel. I can see grub's nomodeset is working (because of the shape of Ubuntu's logo) but I get a black screen when lightdm should normally be displayed. Switch to an other VT and back to lightdm display give me lightdm in about 16 colors, and a wrong ratio display.
Something may be wrong with my manipulations?

tolostoi (tolostoi) wrote :

Just do the steps from post #30, 16 colors should be enough for terminal :)
Now I'm with generic kernel from ubuntu, and workaround work, but my version of X is from xorg-edgers.

Linux nb1210x86 3.5.0-22-generic #34-Ubuntu SMP Tue Jan 8 21:41:11 UTC 2013 i686 i686 i686 GNU/Linux
X -version

X.Org X Server 1.13.2.902 (1.13.3 RC 2)
Release Date: 2013-02-28
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.24-32-xen i686 Ubuntu
Current Operating System: Linux nb1210x86 3.5.0-22-generic #34-Ubuntu SMP Tue Jan 8 21:41:11 UTC 2013 i686
Kernel command line: BOOT_IMAGE=/vmlinuz-3.5.0-22-generic root=UUID=2e3a77d9-287c-43db-8910-49892bb5df8d ro nomodeset quiet splash vt.handoff=7
Build Date: 01 March 2013 10:31:01PM
xorg-server 2:1.13.2.902+git20130301+server-1.13-branch.4d98c7da-0ubuntu0ricotz~quantal (For technical support please see http://www.ubuntu.com/support)
Current version of pixman: 0.28.2
 Before reporting problems, check http://wiki.x.org
 to make sure that you have the latest version.

With kernel from xorg-edgers (Linux 3.7.0-7-generic) works too.

tolostoi (tolostoi) wrote :

@Id2ndR:

In step 1 (comment #30), use 'text nomodeset' as options. This will get you into the console mode without troubles.
Then follow the rest of the steps.

The important point is, you must get into console mode and modify rc.local so that radeon driver is *reloaded* with 'nomodeset=1' along with drm module before you go into GUI mode.

It seems, this bug is a related to some race condition (grub<->kernel modules<->X) in boot procedure.

Id2ndR (id2ndr) wrote :

@arun-ta: with "text nomodeset" (and without "spash"), it works with Ubuntu's kernel and without xorg's PPA. However lightdm seams not be able to start automatically anymore and I start it manually after text login.

Id2ndR (id2ndr) wrote :

I justed added the following to rc.local to solve my last trouble:
sleep 1
start lightdm

description: updated
Piotr Kęplicz (keplicz) on 2013-04-09
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Download full text (7.4 KiB)

tolostoi, could you please confirm this issue exists with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/daily-live/current/ . If the issue remains, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the kernel in the mainline kernels archive directory daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.9-rc7

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

If you are unable to test the mainline kernel, please comment as to why specifically you were unable to test it and add the following tags:
kernel-unable-to-test-upstream
kernel-unable-to-test-upstream-VERSION-NUMBER

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Please Test Latest Upstream

Could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the kernel in the mainline kernels archive directory daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.9-rc7

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

If you are unable to test the mainline kernel, please comment as to why specifically you were unable to test it and add the following tags:
kernel...

Read more...

tags: added: needs-upstream-testing
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
summary: - Can't boot without nomodeset option-kernel 3.5.X.X/3.6.X.X ATI M52
- [Mobility Radeon X1300]
+ 1002:714a Can't boot without nomodeset option-kernel 3.5.X.X/3.6.X.X ATI
+ M52 [Mobility Radeon X1300]
tolostoi (tolostoi) wrote :

The bug exist in the final 13.04 release. I just boot the final i386 image from usb stick (unetbootin) and refuse to boot. On second try, add the nomodeset option and report here.

apport information

tags: added: apport-collected raring
description: updated

apport information

tolostoi (tolostoi) wrote : CRDA.txt

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Josef Andersson (northar) wrote :

I can verify that this bug still exists with Ubuntu 13.04 i have a hp6910p, and a radeon mobility x2300. It doesnt work without nomodeset since upgrading from 12.04.

Summary:
Kernel 3.2.x -> works fine (12.04)
Kernel 3.5.x -> needs nomodeset (12.10)
Kernel 3.8-> needs nomodeset (13.04)

Right now I'm running Kernel 3.2 from 12.04 on 13.04 as a workaround.

northar, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report may delay your problem being addressed as quickly as possible.

Thank you for your understanding.

tags: added: latest-bios-f.0b
tags: added: kernel-bug-exists-upstream-v3.6-rc7
removed: kernel-bug-exists-upstream-v3.6-rc7-quantal

tolostoi, could you please confirm this issue exists with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ . If the issue remains, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the kernel in the mainline kernels archive directory daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.10-rc1

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

If you are unable to test the mainline kernel, please comment as to why specifically you were unable to test it and add the following tags:
kernel-unable-to-test-upstream
kernel-unable-to-test-upstream-VERSION-NUMBER

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Thanks, done as bug 1180557.

2013-05-09 01:50, Christopher M. Penalver skrev:
> northar, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
> ubuntu-bug linux
>
> For more on this, please see the Ubuntu Kernel team article:
> https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
>
> the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
> https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
>
> and Ubuntu Community article:
> https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette
>
> When opening up the new report, please feel free to subscribe me to it.
>
> Please note, not filing a new report may delay your problem being
> addressed as quickly as possible.
>
> Thank you for your understanding.
>
> ** Tags added: latest-bios-f.0b
>

Id2ndR (id2ndr) wrote :

Since Ubuntu team is just able to tell us to report that it doesn't work at each single version of the kernel, waiting for upstream to fix the trouble, I put here a workaround (tested on raring) to all those people whose got this 100% reproducible trouble since quantal release.

Add 'nomodeset' in GRUB2's kernel command line (using GRUB_CMDLINE_LINUX in /etc/default/grub) and run 'sudo update-grub2'
Put lightdm_delay init script in /etc/init.d/lightdm_delay
sudo chmod 755 /etc/init.d/lightdm_delay
sudo update-rc.d lightdm_delay defaults
sudo reboot

Basically this script just reload radeon module and start lightdm daemon 1 second after.

Josef Andersson (northar) wrote :

I suffer from the same bug, and reported it here. https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1029790
I started doing bisect, but the commit that does this bug is already found, see https://bugzilla.redhat.com/show_bug.cgi?id=845745
and the commit is
https://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/commit/?id=2099810f903caa1920f3ef6014fb7f36e4786490 "pci bus mastering"

How to report that to upstreams?

madbiologist (me-again) wrote :

This is finally fixed in the upstream 3.10 kernel by commit e49f3959a96dc279860af7e86e6dbcfda50580a5 and in the 3.9.6 kernel by commit e335ccae2ae4caef26a1e81711c44aec1cc83bd2

Those commits even mention the same redhat bug number as quoted in comment #61 of this bug.

The Ubuntu 13.10 "Saucy Salamander" kernel is now based on the upstream 3.9.6 kernel.

Id2ndR (id2ndr) wrote :

3.9.6 for http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.9.6-saucy/ doesn't solve the trouble in raring on HP nc6400.
I'll try a daily live of saucy later.

Josef Andersson (northar) wrote :

"

This is finally fixed in the upstream 3.10 kernel by commit e49f3959a96dc279860af7e86e6dbcfda50580a5 and in the 3.9.6 kernel by commit e335ccae2ae4caef26a1e81711c44aec1cc83bd2

Those commits even mention the same redhat bug number as quoted in comment #61 of this bug.

The Ubuntu 13.10 "Saucy Salamander" kernel is now based on the upstream 3.9.6 kernel.
"

And that solves the problem for me. Daily works on my hp1690p.

tolostoi (tolostoi) wrote :

Hi, to all. Good news, 3.8.0-27-generic #40-Ubuntu SMP Tue Jul 9 00:19:35 UTC 2013 i686 i686 i686 GNU/Linux solve the problem.
Thanks to all of you.

description: updated
madbiologist (me-again) on 2013-07-17
Changed in linux (Ubuntu):
status: Incomplete → Fix Released
kerr (kerrigannet) wrote :

tested with kernel night build 3.11-rc7, still have the same problem with internal LCD. ( no issue at all with any kernel for external connected LCD via vga port)

machine: dell inspiron 1501, onboard video card ATI Xpress 200m (RS460).

workaround:

follow the lightdm_delay script provided by Id2ndR (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1029790/comments/60)
 and added radeontool lightoff and on around kms loading

                radeontool light off
                modprobe radeon modeset=1
                sleep 2
                radeontool light on

To post a comment you must log in.